package cn.com.countrygarden.bi.main.dto.wcx;

import java.util.Date;

/**
 *
 * @author ferren
 */
public class WcxOriginalityDto extends WcxBaseDto{
    private String originalityId; //varchar(36) NOT NULL COMMENT '主键',
    private String title; //varchar(255) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '标题',
    private String content; //varchar(1000) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '内容',
    private Date createDate; //datetime DEFAULT NULL COMMENT '创建日期',
    private Integer status; //int(2) DEFAULT NULL COMMENT '状态  0 ：正在使用,1:不使用，2，已经中奖',
    private String userId; //varchar(99) DEFAULT NULL COMMENT '用户表的主键',
    private String teamMembers; //varchar(1000) DEFAULT NULL COMMENT '团队成员介绍',
    private Integer baselineId; //int(10) DEFAULT NULL COMMENT '基线主键',
    private String classification; //int(10) DEFAULT NULL COMMENT '类型主键',
    private String regionId; //varchar(99) CHARACTER SET utf8mb4 DEFAULT NULL COMMENT '区域表主键',
    private Integer projectType; //int(2) DEFAULT '1' COMMENT '创新类型  1,代表个人创新，2,代表团队创新。',
    private String audithaspassed; //int(2) DEFAULT NULL,

    // 额外
    /**
     * 时间范围查询
     * 最佳点赞手
     * 最多创新奖
     * 点赞量前20%
     * 通过终审最多的区域
     * 通过终审最多的项目
     * 领导跟赞
     */
    private String prizeType; // 抽取类型
    private Date startDate; // 开始时间
    private Date endDate;   // 结束时间

    public String getOriginalityId() {
        return originalityId;
    }

    public void setOriginalityId(String originalityId) {
        this.originalityId = originalityId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getTeamMembers() {
        return teamMembers;
    }

    public void setTeamMembers(String teamMembers) {
        this.teamMembers = teamMembers;
    }

    public Integer getBaselineId() {
        return baselineId;
    }

    public void setBaselineId(Integer baselineId) {
        this.baselineId = baselineId;
    }

    public String getClassification() {
        return classification;
    }

    public void setClassification(String classification) {
        this.classification = classification;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public Integer getProjectType() {
        return projectType;
    }

    public void setProjectType(Integer projectType) {
        this.projectType = projectType;
    }

    public String getAudithaspassed() {
        return audithaspassed;
    }

    public void setAudithaspassed(String audithaspassed) {
        this.audithaspassed = audithaspassed;
    }

    public String getPrizeType() {
        return prizeType;
    }

    public void setPrizeType(String prizeType) {
        this.prizeType = prizeType;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
}
